package com.zd.exam.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zd.common.core.annotation.Excel;
import com.zd.common.core.valid.ValidGroup;
import com.zd.common.core.web.domain.BaseEntity;
import com.zd.exam.util.CourcseUtils;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 积分订单对象 el_pointorder
 *
 * @author cyl
 * @date 2021-12-07
 */
@ApiModel("积分订单")
public class ElPointOrder extends BaseEntity{//  implements QCInterface
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty(value = "${comment}")
    private Long id;

    /**
     * 机器编号
     */
    @ApiModelProperty(value = "机器编号")
    private String machineId;

    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    private Long joinUserId;

    /**
     * 0是订单生成，1是订单消费，2是过期订单
     */
    @ApiModelProperty(value = "0是订单生成，1是订单消费，2是过期订单")
    private int orderStatus;


    /**
     * 货道编号
     */
    @ApiModelProperty(value = "货道编号")
    private String slotNo;

    /**
     * 商品id
     */
    @ApiModelProperty(value = "商品id")
    private String productId;

    /**
     * 订单编号
     */
    @ApiModelProperty(value = "订单编号")
    private String tradeNo;

    /**
     * 消费多少积分
     */
    @ApiModelProperty(value = "消费多少积分")
    private String amount;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getJoinUserId() {
        return joinUserId;
    }

    public void setJoinUserId(Long joinUserId) {
        this.joinUserId = joinUserId;
    }

    public String getMachineId() {
        return machineId;
    }

    public void setMachineId(String machineId) {
        this.machineId = machineId;
    }

    public int getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(int orderStatus) {
        this.orderStatus = orderStatus;
    }

    public String getSlotNo() {
        return slotNo;
    }

    public void setSlotNo(String slotNo) {
        this.slotNo = slotNo;
    }

    public String getProductId() {
        return productId;
    }

    public void setProductId(String productId) {
        this.productId = productId;
    }

    public String getTradeNo() {
        return tradeNo;
    }

    public void setTradeNo(String tradeNo) {
        this.tradeNo = tradeNo;
    }

    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }
}
